# OpenGl_triangulate.h File Reference

## Defines

#define | TRI_INTERIOR 0
#define | TRI_EXTERIOR 1
#define | TRI_LEFT 2
#define | TRI_RIGHT 3
#define | TRI_UNKNOWN 4

## Typedefs

typedef TriangulatorObj | TriangulatorObj

## Enumerations

enum | updown { none, up, down }

## Functions

TriangulatorObj * | newTriangulator (void(*bgnpoly)(void), void(*endpoly)(void), void(*bgntmesh)(void), void(*swaptmesh)(void), void(*vertex)(int *), void(*endtmesh)(void), void(*error)(char *))
void | freeTriangulator (TriangulatorObj *)
void | in_bgnpoly (TriangulatorObj *, long count)
void | in_endpoly (TriangulatorObj *)
void | in_bgnloop (TriangulatorObj *, short type)
void | in_vertex (TriangulatorObj *, float s, float t, void *data)
void | in_endloop (TriangulatorObj *)
void | in_error (TriangulatorObj *, char *error)

## Define Documentation

#define TRI_EXTERIOR 1

#define TRI_INTERIOR 0

#define TRI_LEFT 2

#define TRI_RIGHT 3

#define TRI_UNKNOWN 4

## Typedef Documentation

typedef struct TriangulatorObj TriangulatorObj

## Enumeration Type Documentation

enum updown

Enumeration values:

  none |
  up |
  down |

## Function Documentation

void freeTriangulator | ( | TriangulatorObj * |  | ) |

void in_bgnloop | ( | TriangulatorObj * | ,
|  | short | type
| ) |

void in_bgnpoly | ( | TriangulatorObj * | ,
|  | long | count
| ) |

void in_endloop | ( | TriangulatorObj * |  | ) |

void in_endpoly | ( | TriangulatorObj * |  | ) |

void in_error | ( | TriangulatorObj * | ,
|  | char * | error
| ) |

void in_vertex | ( | TriangulatorObj * | ,
|  | float | s,
|  | float | t,
|  | void * | data
| ) |

TriangulatorObj* newTriangulator | ( | void(*)(void) | bgnpoly,
|  | void(*)(void) | endpoly,
|  | void(*)(void) | bgntmesh,
|  | void(*)(void) | swaptmesh,
|  | void(*)(int *) | vertex,
|  | void(*)(void) | endtmesh,
|  | void(*)(char *) | error
| ) |